Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IGetRenderDependenciesResponseContext

All Superinterfaces
  IBaseResponseContext, ISessionContext

    public interface IGetRenderDependenciesResponseContext

extends IBaseResponseContext, ISessionContext

Response context that represents the output data of the "getRenderDependendencies" operation.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`List<IRenderDependencyTag>` | `getRenderDependencyTags()` Returns render dependency tags collected for the portlet from the producer.
`List<IScriptFragment>` | `getScriptFragments()` Returns script fragments collected for the portlet from the producer.
`void` | `setRenderDependencyTags(List<IRenderDependencyTag> renderDependencyTags)` Sets render dependency tags.
`void` | `setScriptFragments(List<IScriptFragment> scriptFragments)` Sets script fragments.

Methods inherited from interface com.bea.wsrp.model.markup.IBaseResponseContext
`getMimeHeaders, getNamespaceUri, getResponseCookies, render`

Methods inherited from interface com.bea.wsrp.model.markup.ISessionContext
`getSessionExpires, getSessionID, setSessionExpires, setSessionID`

Method Detail

### getRenderDependencyTags

    List<IRenderDependencyTag> getRenderDependencyTags()

  Returns render dependency tags collected for the portlet from the producer. Returns an empty list if no tags are returned.

  Returns
    render dependency tags

### setRenderDependencyTags

    void setRenderDependencyTags(List<IRenderDependencyTag> renderDependencyTags)

  Sets render dependency tags. This method can be used to modify producer returned tags, or inject new dependency tags into the consumer.

  Parameters
    `renderDependencyTags` - render dependency tags

### getScriptFragments

    List<IScriptFragment> getScriptFragments()

  Returns script fragments collected for the portlet from the producer. Returns an empty list if no fragments are returned.

  Returns
    script fragments

### setScriptFragments

    void setScriptFragments(List<IScriptFragment> scriptFragments)

  Sets script fragments. This method can be used to modify producer returned fragments, or inject new script fragments into the consumer.

  Parameters
    `scriptFragments` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved